<!DOCTYPE html>
<html>

<head>
    <title>predict fish</title>
    <style>
        * {
            font-size: 30px;
        }
    </style>
</head>

<body>
    <input id="image-selector" type="file" accept=".jpg,.jpeg,.png">
    <button id="predict-button">Predict</button>
    <p style="font-weight:bold">Predictions</p>
    <p>result: <span id="prediction-result"></span></p>
    <img id="selected-image" src="" />

    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script>
        let base64Image;
        $("#image-selector").change(function () {
            let reader = new FileReader();
            reader.onload = function (e) {
                let dataURL = reader.result;
                console.log(dataURL)
                $('#selected-image').attr("src", dataURL);

                // add validation https://stackoverflow.com/questions/3828554/how-to-allow-input-type-file-to-accept-only-image-files
                if (dataURL.search("data:image/png;base64,") != -1) {
                    base64Image = dataURL.replace("data:image/png;base64,", "");
                }
                else if (dataURL.search("data:image/jpg;base64,") != -1) {
                    base64Image = dataURL.replace("data:image/jpg;base64,", "");
                }
                else if (dataURL.search("data:image/jpeg;base64,") != -1) {
                    base64Image = dataURL.replace("data:image/jpeg;base64,", "");
                }
                else {
                    console.log('data type not found')
                }

                //base64Image = dataURL.replace("data:image/png;base64,","");
                //console.log(base64Image);
            }
            reader.readAsDataURL($("#image-selector")[0].files[0]);
            $("#prediction-result").text("");
        });

        $("#predict-button").click(function (event) {
            let message = {
                image: base64Image
            }
            console.log(message);
            $.post("http://localhost:5000/api/detection", JSON.stringify(message), function (response) {
                $("#prediction-result").text(response);
                console.log(response);
            });
        });
    </script>
</body>

</html>